Skip to navigation

Retrieve metadata about the API server

View as Markdown
Retrieve system metadata providing information about the API server

Authentication

AuthorizationBearer
export JWT_BEARER_TOKEN="<jwt-bearer-token>"

# Example org name: "acme-inc
export ORG_NAME=<org-name>

# Use the JWT bearer token in your API request auth header:
curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current

Path parameters

orgstringRequired
Name of the Org

Response

OK
versionstringOptionalRead-only
Current version of the API
buildTimestringOptionalRead-only

Date/time when the API was built

Errors

401
Unauthorized Error